package main

import (
	"fmt"
	"git.gutmet.org/finstr.git"
	"git.gutmet.org/finstr.git/initer"
	goutil "git.gutmet.org/goutil.git/misc"
	"os"
)

func main() {
	commands := []goutil.Command{
		goutil.NewCommandWithFlags("init", initer.Command, "initialize finstr directory"),
		goutil.NewCommandWithFlags("gen", finstr.Command, "generate gallery"),
	}
	err := goutil.Execute(commands)
	if err != nil {
		fmt.Fprintln(os.Stderr, err)
		os.Exit(1)
	}
}
